Home CVE Database CVE-2017-10790

CVE-2017-10790

Description

The _asn1_check_identifier function in GNU Libtasn1 through 4.12 causes a NULL pointer dereference and crash when reading crafted input that triggers assignment of a NULL value within an asn1_node structure. It may lead to a remote denial of service attack.

Priority: MEDIUM
CVSS v3: 7.5
Publish Date: Jul 1, 2017
Related ID: --
CVSS v2: High
Modified Date: Jul 1, 2017

Find out more about CVE-2017-10790 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Related Products

Product Name Status Defect Fixed Downloads
Linux 7 SCP Not Vulnerable -- -- --
Linux 7 CGP Not Vulnerable -- -- --

Comments

libtasn1

Live chat
Online